Bug 19711 - bttv/v4l freezes machine
Summary: bttv/v4l freezes machine
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.0
Hardware: i686
OS: Linux
high
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-24 19:18 UTC by Andreas-Johann Ulvestad
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:38:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andreas-Johann Ulvestad 2000-10-24 19:18:51 UTC
Card: LinTV from Linux Media Labs
Chipset: bt878
00:11.0 Multimedia video controller: Brooktree Corporation Bt878 (rev 02)
00:11.1 Multimedia controller: Brooktree Corporation Bt878 (rev 02)

When loading the v4l extention to XFree86 (4.0.1) OR the bttv driver in
console, the entire computer freezes.

Kernel: 2.2.16-22smp

Comment 1 Need Real Name 2000-10-26 14:36:19 UTC
That happened to me too with BT848
I don't remember quite well but I think problem was on the tuner module
options...
I think it has nothing to do with bt chipset but with the tuner only. Check if
you have the right type of tuner defined in modules.conf options for tuner...

Regards,
Bruno Gravato

Comment 2 Need Real Name 2000-10-27 03:27:32 UTC
I also have this problem, but when using the composite input, so I don't think
it's the tuner. I have a WinCast/TV card before the ones with the FM tuner.

Comment 3 Need Real Name 2000-10-27 23:30:47 UTC
Please note that I'm not finding an i2c module anywhere. In the bttv howtos they
mention this module.

Comment 4 Need Real Name 2000-10-28 15:30:12 UTC
I did the following at it seems to work:

modprobe i2c-core
modprobe videodev
modprobe bttv
modprobe tuner

Running with no lockups so far.

Comment 5 Need Real Name 2000-10-28 15:30:50 UTC
scratch that. 2 seconds after I submitted the bug it locked up..

it did last longer then usual.

Comment 6 Alan Cox 2000-11-28 17:34:44 UTC
BT8x8 cards are very touchy about what chipsets and what video cards you posess
and have in the machine. You might want to try the card in another box


Comment 7 Need Real Name 2000-12-10 17:55:50 UTC
The card works with that chipset. A friend has it running fine with Debian, 
Same motherboard, same processors, same WinCast/TV card

Comment 8 Bugzilla owner 2004-09-30 15:38:50 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.